diff --git a/src/fortranscanner.l b/src/fortranscanner.l
index 278367c..26faa17 100644
--- a/src/fortranscanner.l
+++ b/src/fortranscanner.l
@@ -425,7 +425,8 @@ SCOPENAME ({ID}{BS}"::"{BS})*
                                         }
 <Use>{ID}                               { 
                                           DBG_CTX((stderr,"using dir %s\n",yytext));
-                                          current->name=yytext;
+                                          QCString name = yytext;
+                                          current->name=name.lower();
                                           current->fileName = yyFileName; 
   					  current->section=Entry::USINGDIR_SEC;
 					  current_root->addSubEntry(current);
@@ -434,13 +435,15 @@ SCOPENAME ({ID}{BS}"::"{BS})*
                                           yy_pop_state();
                                         }
 <Use>{ID}/,                             { 
-                                          useModuleName=yytext;
+					  QCString name = yytext;
+                                          useModuleName=name.lower();
                                         }
 <Use>,{BS}"ONLY"                        { BEGIN(UseOnly); 
                                         }           
 <UseOnly>{BS},{BS}                      {}
 <UseOnly>{ID}                           {
-  					  current->name= useModuleName+"::"+yytext;
+					  QCString name = yytext;
+  					  current->name= useModuleName+"::"+name.lower();
                                           current->fileName = yyFileName; 
   					  current->section=Entry::USINGDECL_SEC;
 					  current_root->addSubEntry(current);
@@ -589,7 +592,7 @@ abstract                                {
                                         }
 extends{ARGS}                           {
                                           QCString basename = extractFromParens(yytext);
-                                          current->extends->append(new BaseInfo(basename, Public, Normal));
+                                          current->extends->append(new BaseInfo(basename.lower(), Public, Normal));
                                         }
 public                                  {
                                           current->protection = Public;
@@ -603,9 +606,10 @@ private                                 {
                                           /* ignored for now */
                                         }
 {ID}                                    { /* type name found */
+					  QCString name = yytext;
                                           current->section = Entry::CLASS_SEC;
                                           current->spec |= Entry::Struct;
-                                          current->name = yytext;
+                                          current->name = name.lower();
                                           current->fileName = yyFileName;
                                           current->bodyLine  = yyLineNr; 
 
